Mise à jour d'un thème existant

Cet extrait de code montre comment mettre à jour un thème existant à l'aide de l'API Meetings.

Voir le Référence API pour plus d'informations.

Exemple de demande

Le cas échéant, remplacez les variables suivantes dans l'exemple de code par vos propres valeurs :

CléDescription
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

THEME_ID

The theme UUID.

MAIN_COLOR

The main color that will be used for the meeting room.

BRAND_TEXT

The text that will appear on the meeting homepage, in the case that there is no brand image.

Rédiger le code

Ajouter ce qui suit à update-theme.sh:

curl -X PATCH "https://api-eu.vonage.com/meetings/themes/"$THEME_ID \
  -H "Authorization: Bearer $JWT" \
  -H "Content-Type: application/json" \
  -d '{
       "update_details": {
          "main_color": "'$MAIN_COLOR'",
          "brand_text": "'$BRAND_TEXT'"
       }
  }'

Voir la source complète

Exécutez votre code

Enregistrez ce fichier sur votre machine et exécutez-le :

sh update-theme.sh

Exemple de réponse